---
title: "gce/WARN/2021_001"
linkTitle: "WARN/2021_001"
weight: 1
type: docs
description: >
  GCE instance service account permissions for logging.
---

**Product**: [Compute Engine](https://cloud.google.com/compute)\
**Rule class**: WARN - Something that is possibly wrong

### Description

The service account used by GCE instance should have the logging.logWriter
permission, otherwise, if you install the logging agent, it won't be able
to send the logs to Cloud Logging.

### Remediation

Make sure that you have the following role binding in the IAM policy:

- Principal: service account of the GCE instance
- Role: `roles/logging.logWriter`

### Further information

- [Logging access control](https://cloud.google.com/logging/docs/access-control)
