---
title: "gke/ERR/2021_009"
linkTitle: "ERR/2021_009"
weight: 1
type: docs
description: >
  Version skew between cluster and node pool
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Difference between cluster version and node pools version should be no more
than 2 minor versions.

For example: Cluster 1.19.12-gke.2101, Node Pool: 1.14.10-gke.36
Such a big difference is not supported.

In this situation the cluster might be stuck in auto-repair.

### Remediation

Upgrade the problematic node pool or recreate it with a later version.

### Further information

- [GKE versioning and
  support](https://cloud.google.com/kubernetes-engine/versioning)
